
From: Dominik Brodowski <linux@dominikbrodowski.de>

fix ->cpuinfo.transition_latency for powernow-k7

Signed-off-by: Bruno Ducrot <ducrot@poupinou.org>
Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/cpufreq/powernow-k7.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/cpu/cpufreq/powernow-k7.c~powernow-k7-fix-latency-calculation arch/i386/kernel/cpu/cpufreq/powernow-k7.c
--- 25/arch/i386/kernel/cpu/cpufreq/powernow-k7.c~powernow-k7-fix-latency-calculation	Tue Sep 21 14:32:13 2004
+++ 25-akpm/arch/i386/kernel/cpu/cpufreq/powernow-k7.c	Tue Sep 21 14:32:13 2004
@@ -634,7 +634,7 @@ static int __init powernow_cpu_init (str
 
 	policy->governor = CPUFREQ_DEFAULT_GOVERNOR;
 
-	policy->cpuinfo.transition_latency = 20 * latency / fsb;
+	policy->cpuinfo.transition_latency = cpufreq_scale(2000000UL, fsb, latency);
 
 	policy->cur = powernow_get(0);
 
_
